kitemmodels-devel-5.57.0-1.1.x86_64.rpm


Advertisement

Description

kitemmodels-devel - Set of item models extending the Qt model-view framework

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename kitemmodels-devel-5.57.0-1.1.x86_64.rpm
Package name kitemmodels-devel
Package version 5.57.0
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/KDE
Homepage https://www.kde.org
License LGPL-2.1-or-later
Maintainer -
Download size 38.01 KB
Installed size 66.94 KB
KItemModels provides a set of item models extending the Qt model-view framework.
Development files.

Alternatives

Package Version Architecture Repository
kitemmodels-devel-5.58.0git.20190413T100013~b0ddb63-28.4.x86_64.rpm 5.58.0git.20190413T100013~b0ddb63 x86_64 KDE Frameworks Unstable
kitemmodels-devel-5.58.0git.20190413T100013~b0ddb63-28.4.i586.rpm 5.58.0git.20190413T100013~b0ddb63 i586 KDE Frameworks Unstable
kitemmodels-devel-5.57.0-166.2.x86_64.rpm 5.57.0 x86_64 KDE Frameworks 5
kitemmodels-devel-5.57.0-166.2.i586.rpm 5.57.0 i586 KDE Frameworks 5
kitemmodels-devel-5.57.0-1.1.i586.rpm 5.57.0 i586 openSUSE Oss
kitemmodels-devel - - -

Requires

Name Value
cmake(Qt5Core) >= 5.6.0
extra-cmake-modules -
libKF5ItemModels5 = 5.57.0

Provides

Name Value
cmake(KF5ItemModels) = 5.57.0
kitemmodels-devel = 5.57.0-1.1
kitemmodels-devel(x86-64) = 5.57.0-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package kitemmodels-devel-5.57.0-1.1.x86_64.rpm
Source Package kitemmodels-5.57.0-1.1.src.rpm

Install Howto

Install kitemmodels-devel rpm package:

# zypper install kitemmodels-devel

Files

Path
/usr/include/KF5/kitemmodels_version.h
/usr/include/KF5/KItemModels/KBreadcrumbSelectionModel
/usr/include/KF5/KItemModels/KCheckableProxyModel
/usr/include/KF5/KItemModels/KConcatenateRowsProxyModel
/usr/include/KF5/KItemModels/KDescendantsProxyModel
/usr/include/KF5/KItemModels/KExtraColumnsProxyModel
/usr/include/KF5/KItemModels/KLinkItemSelectionModel
/usr/include/KF5/KItemModels/KModelIndexProxyMapper
/usr/include/KF5/KItemModels/KRearrangeColumnsProxyModel
/usr/include/KF5/KItemModels/KRecursiveFilterProxyModel
/usr/include/KF5/KItemModels/KSelectionProxyModel
/usr/include/KF5/KItemModels/kbreadcrumbselectionmodel.h
/usr/include/KF5/KItemModels/kcheckableproxymodel.h
/usr/include/KF5/KItemModels/kconcatenaterowsproxymodel.h
/usr/include/KF5/KItemModels/kdescendantsproxymodel.h
/usr/include/KF5/KItemModels/kextracolumnsproxymodel.h
/usr/include/KF5/KItemModels/kitemmodels_export.h
/usr/include/KF5/KItemModels/klinkitemselectionmodel.h
/usr/include/KF5/KItemModels/kmodelindexproxymapper.h
/usr/include/KF5/KItemModels/krearrangecolumnsproxymodel.h
/usr/include/KF5/KItemModels/krecursivefilterproxymodel.h
/usr/include/KF5/KItemModels/kselectionproxymodel.h
/usr/lib64/libKF5ItemModels.so
/usr/lib64/cmake/KF5ItemModels/KF5ItemModelsConfig.cmake
/usr/lib64/cmake/KF5ItemModels/KF5ItemModelsConfigVersion.cmake
/usr/lib64/cmake/KF5ItemModels/KF5ItemModelsTargets-none.cmake
/usr/lib64/cmake/KF5ItemModels/KF5ItemModelsTargets.cmake
/usr/lib64/qt5/mkspecs/modules/qt_KItemModels.pri

Changelog

2019-04-14 - lbeltrame@kde.org
- Update to 5.57.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.57.0.php
- Changes since 5.56.0:
* [kitemmodels] make it compile without foreach
* Port deprecated qSort
2019-03-10 - lbeltrame@kde.org
- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* Fix example in documentation
* KRearrangeColumnsProxyModel: make the two column-mapping methods public
2019-02-15 - alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
2019-02-10 - lbeltrame@kde.org
- Update to 5.55.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
* No code changes since 5.54.0
2019-01-14 - lbeltrame@kde.org
- Update to 5.54.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
* Remove code for qt < 4.7.2 :)
2018-12-09 - lbeltrame@kde.org
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* autotests: remove testmodelqueuedconnections.cpp which asserts in Qt 5.11
* Use isEmpty()
* Remove unused virtual keyword
* Normalize signal/slot
2018-11-11 - lbeltrame@kde.org
- Update to 5.52.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
* Add missing "emit"
* Fix minor EBN issues and typos
* USe new syntax
2018-10-16 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-10-15 - lbeltrame@kde.org
- Update to 5.51.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
* Remove misleading use of KDE_INSTALL_PYTHONBINDINGSDIR
* Use reference in for loop for type with non-trivial copy constructor
* Make sure to build with strict compile flags + port to no deprecated method
2018-09-13 - lbeltrame@kde.org
- Update to 5.50.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.50.0.php
- Changes since 5.49.0:
* None

See Also

Package Description
kitemviews-devel-32bit-5.57.0-1.1.x86_64.rpm Set of item views extending the Qt model-view framework
kitemviews-devel-5.57.0-1.1.i586.rpm Set of item views extending the Qt model-view framework
kitemviews-devel-5.57.0-1.1.x86_64.rpm Set of item views extending the Qt model-view framework
kiten-19.04.0-1.1.i586.rpm Japanese Reference/Study Tool
kiten-19.04.0-1.1.x86_64.rpm Japanese Reference/Study Tool
kiten-devel-19.04.0-1.1.i586.rpm Development files for kiten
kiten-devel-19.04.0-1.1.x86_64.rpm Development files for kiten
kiten-lang-19.04.0-1.1.noarch.rpm Translations for package kiten
kitinerary-19.04.0-1.1.i586.rpm Data model and extraction system for travel reservations
kitinerary-19.04.0-1.1.x86_64.rpm Data model and extraction system for travel reservations
kitinerary-devel-19.04.0-1.1.i586.rpm Development files for kitinerary
kitinerary-devel-19.04.0-1.1.x86_64.rpm Development files for kitinerary
kiwi-boot-descriptions-1.1.0-9.1.i586.rpm KIWI - Custom Boot Descriptions
kiwi-boot-descriptions-1.1.0-9.1.x86_64.rpm KIWI - Custom Boot Descriptions
kiwi-boot-requires-1.1.0-9.1.i586.rpm KIWI - buildservice package requirements for boot images
Advertisement
Advertisement